@media screen and (max-width: 1274px) {

    /* Layout ============================== */
    .container {
        padding: 0 2rem;
    }

    /* Header | Nav ===================================== */
    #header{
        justify-content: space-between;
    }
    
    nav .menu {
        margin: 0 1rem;
        gap: 1rem;
    }

    .menu li a {
        font-size: var(--size-5);
    }

    .nav-search .camp-search {
        width: 12rem;
    }    
    
    /* Home ================================= */  
    .home .home-text .title-home {
        font-size: 4rem;
        line-height: 4.8rem;
    }
    
    .home .home-img .homeBg-img {
        background: linear-gradient(270.06deg, #DADADA 20.97%, #9F9F9F 99.92%);
        opacity: 0.2;
    
        width: 22rem;
        height: 22rem;
        clip-path: circle();
    
    }
    
    .home .home-img img {
        position: absolute;
        width: 65%;
    }

    /* About =============================== */
    .img-about {
        width: 100%;
    }

    .article2 .about-img {
        gap: .3rem; 
    }
    
    /* Contact ================================= */
    .content-contact {
        flex-direction: column;
    }
    
    .content-contact form {
        width: 100%;
    }

}

@media screen and (max-width: 860px) {
    .container {
        padding: 0 1.5rem;
    }

    .home,
    .about-grid,
    .footer {
        display: grid;
        grid-template-columns: 1fr;
        gap: none;
    }

    /* Header ================================= */
    header .nav-header {
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;

        position: fixed;
        top: 0;
        left: -100%;

        width: 100%;
        height: 100%;
        padding: 2rem;

        background: #f2f2f2;

        z-index: 100;
    }

    #header {
        gap: 1rem;
    }    

    #header .menu {
        flex-direction: column;
        order: 2;

        gap: 2.5rem;
        margin-right: initial;
    }

    .menu li a {
        font-family: 'Gilroy';
        font-size: var(--size-3);
    }    

    .icon-menu {
        display: initial;
        font-size: 2.5rem;
    }

    .icon-close {
        display: initial;
        position: absolute;
        top: 1rem;
        right: 1rem;
        font-size: 2.5rem;
        color: var(--text-color);
        cursor: pointer;
    }    

    .nav-search .camp-search,
    .btn-bag .bag-icon {
        box-shadow: 0 0 4px 4px rgba(0, 0, 0, 0.144);
    }

    header .nav-header.show {
        left: 0;
    }    

    /* Home ================================= */   
    .home .home-text .title-home {
        font-size: 5rem;
        line-height: 5.7rem;
    }
     
    .home .home-text p {
        font-size: var(--size-3);
    }
    
    .add-to-cart {
        font-size: var(--size-5);
        padding: 1.3rem 2rem;
    }
    
    .home .home-img {
        display: none;
    }

    /* Card ================================= */
    .highlight-card {
        width: 100%;
        padding: 4rem 1rem;
    }

    .highlight-card .title-card {
        font-size: var(--size-3);
    }    

    .highlight-card .card-img {
        width: 100%;
    }

    /* About ================================= */
    .content-about-text {
        width: 100%;
        padding: .3rem;
    }

    .title-about {
        font-size: 3rem;
    }
    
    .text-about {
        font-size: var(--size-3);
    }

    .article1 .about-img img {
        float: none;
    }
    
    .article2 .about-img {
        gap: none; 
        order: 2;       
    }

    .about-img {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .img-about {
        width: 95%;
        align-items: center;
    }

    /* Banner ================================= */
    .title-banner {
        font-size: var(--size-2);
    }

    /* Contact ================================= */
    .content-contact {
        flex-direction: column;
    }
    
    .content-contact form {
        width: 100%;
        border-radius: 0 0rem .5rem .5rem;
        padding: 1.5rem 2rem;
    }

    /* footer ================================= */
    .footer {
        text-align: center;
        justify-items: center;
    }
}

@media screen and (max-width: 420px) {
    /* Home ================================= */   
    .home .home-text .title-home {
        font-size: 3.5rem;
        line-height: 4.2rem;
    }
         
    .home .home-text p {
        font-size: var(--size-5);
    }

    /* Card =================== */
    .highlight-card .title-card {
        font-size: var(--size-4);
    }    

    /* About ================================= */
    .title-about {
        font-size: 2.3rem;
    }
    
    .text-about {
        font-size: var(--size-5);
    }

    /* Banner ================================= */
    .title-banner {
        font-size: 3rem;
    }
}